org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodGenericWildcardBeanA

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericWildcardBeanB<String>
  - - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericWildcardBeanA

    @ApplicationScoped
    public class FallbackMethodGenericWildcardBeanA
    extends FallbackMethodGenericWildcardBeanB<String>

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodGenericWildcardBeanA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `method(List<? extends String> a)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericWildcardBeanB

`fallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodGenericWildcardBeanA

    public FallbackMethodGenericWildcardBeanA()

### Method Detail

#### method

    @Fallback(fallbackMethod="fallback")
    public String method(List<? extends String> a)